[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'StrUtils' (#rtl)

# Copy2SymbDel

Deletes and returns all characters in a string till a given character (not included).

## Declaration

Source position: strutils.pp line 195

`function Copy2SymbDel(`
`var S: string;`
`Symb: Char`
`):string;`

## Arguments

`S` |  | String to delete and return first characters from.
`Symb` |  | Symbol till which characters will be copied. Will not be included in the result.

## Function result

Characters from the string till the first occurrence of the given character.

## Description

Copy2SymbDel determines the position of the first occurrence of Symb in the string S and returns all characters up to this position. The Symb character itself is not included in the result string. All returned characters and the Symb character, are deleted from the string S, after which it is right-trimmed. If Symb does not appear in S, then the whole of S is returned, and S itself is emptied.

## Errors

None.

## See also

Copy2SpaceDel |  | Deletes and returns all characters in a string till the first space character (not included).
Copy2Symb |  | Returns all characters in a string till a given character (not included).